[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Open

Open the stream

## Declaration

Source position: objects.pp line 292

`procedure TStream.Open(`
`OpenMode: Word`
`); virtual;`

## Description

Open is an abstract method, that should be overridden by descendent objects. Since opening a stream depends on the stream's type this is not surprising.

For an example, see TDosStream.Open.

## Errors

None.

## See also

TStream.Close |  | Close the stream
TStream.Reset |  | Reset the stream